<template>
  <div
    class="dibs--form--input--help"
    :data-full-width="fullWidth"
    :data-no-border="noBorder"
    :data-is-round="isRound"
    :data-size="size"
    :disabled="disabled"
    @click="clicked"
  >
    <slot></slot>
  </div>
</template>
<script>
export default {
  props: {
    goto: {
      type: [String],
      required: false,
      default: null,
    },
    fullWidth: {
      type: [Boolean],
      default: false,
    },
    noBorder: {
      type: [Boolean],
      default: false,
    },
    isRound: {
      type: [Boolean],
      default: false,
    },
    size: {
      type: [String],
      default: "normal",
      validator(value) {
        return ["normal", "small"].includes(value);
      },
    },
    disabled: {
      type: [Boolean],
      default: false,
    },
  },
  methods: {
    clicked: function () {
      if (this.disabled) {
        return false;
      }
      if (this.goto) {
        this.$router.push(this.localePath(this.goto));
      }
    },
  },
};
</script>
